### partial_redirect_error

A function object type that adapts a completion token to capture error_code values to a variable.

    class partial_redirect_error

##### Member Functions

Name | Description
--- | ---
operator() | Adapt a completion token to specify that the completion handler should capture error_code values to a variable.
partial_redirect_error [constructor] | Constructor that specifies the variable used to capture error_code values.

##### Data Members

Name | Description
--- | ---
ec_ |

May also be used directly as a completion token, in which case it adapts the asynchronous operation's default completion token (or `deferred` if no default is available).

##### Requirements

Header: `asio/redirect_error.hpp`

Convenience header: `asio.hpp`